:host {
  color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: var(--primary-font-size-very-small);
  position: relative;
  text-align: center;
  transition: color 330ms linear;
  padding: 0;
  width: 100%;
  height: auto;

  .text-content {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: relative;
    line-height: 1;
  }

  &.alternate-ff {
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-very-small);
  }

  &.fw-normal {
    font-weight: normal;
  }
}

.cloud-button-icon {
  width: 100%;
  height: 100%;
  max-width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
